Appearance
List accounts
GET
/api/v1/accounts
Retrieves a list of accounts.
Authorizations
bearerAuth
Type
HTTP (bearer)
Parameters
Query Parameters
limit
The page size, indicating the number of entries returned per page.
Type
integer
Default
20Minimum
1Maximum
100page
This is the page number.
Type
integer
Example
1Minimum
1Default
1accountIdentifier.type
Type
string
Valid values
"ID""IBAN"accountIdentifier.value
The exact account number or IBAN of the counterparty to retrieve.
Type
string
Min Length
1Max Length
34Pattern
"^[A-Z0-9]+$"branchIdentifier.type
Field to identify the branch identifier.
Type
string
Valid values
"BIC""IFSC""SORT""ROUTING"branchIdentifier.value
Branch identifier for the debtor account.
Type
string
Min Length
1Max Length
11Pattern
"^[A-Z0-9]+$"Responses
Successfully retrieved list of accounts.
application/json
paginationDetails
object
Required
page
integer
Required
This is the page number.
Minimum
0pageSize
integer
Required
The page size, indicating the number of entries returned per page.
Minimum
0hasMore
boolean
Required
true if there are more pages available beyond this one.
accounts
object[]
Required
legalEntityName
string
Required
The account name of the legal entity as per the bank record.
aliasName
string
The account name of the legal entity as per the bank record.
accountType
string
Required
This field is used to identify the type of account. Currently only BANK_ACCOUNT is supported.
Valid values
"BANK_ACCOUNT"bankCountry
string
The country of the bank as the 2-letter ISO 3166 code. This is mandatory only if accountType is BANK-ACCOUNT.
Min Length
2Max Length
2Pattern
"^[A-Z]{2}$"bankName
string
The name of the Bank that holds the Corporate accounts. This is mandatory only if accountType is BANK-ACCOUNT.
accountCategory
string
The category of counterparty account.
Possible values: PERSONAL or BUSINESS
Valid values
"PERSONAL""BUSINESS"currency
string
The 3-letter ISO 4217 currency code. Supported values: EUR, USD, GBP. This determines the settlement currency and applicable regional payment rails.
Valid values
"EUR""USD""GBP"accountIdentifier
object
Required
branchIdentifier
object
state
string
Required
Possible values: [ACTIVE, INACTIVE]
indicates the state of the account.
Valid values
"ACTIVE""INACTIVE"products
string[]
This field lists the products associated with the account.
createdAt
string
Required
The date and time the account link was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.
Format
"date-time"Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"updatedAt
string
Required
The date and time the account link was updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.
Format
"date-time"Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"Response Headers
Deprecation
Indicates deprecation (boolean)
Typestring
Exampletrue
Sunset
Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.
Typestring (date-time)
Example2024-03-24T03:14:15Z
GET
/api/v1/accounts